com.orsoncharts.marker

## Class MarkerChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - com.orsoncharts.marker.MarkerChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MarkerChangeEvent
      extends java.util.EventObject

  An event associated with a change to a `Marker`. These change events will be generated by an marker and broadcast to the axis that owns the marker (in the standard setup, the axis will then trigger its own change e vent to notify the plot that a subcomponent of the axis has changed).
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkerChangeEvent(Marker marker)` Creates a new event.
    `MarkerChangeEvent(java.lang.Object source, Marker marker)` Creates a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Marker` | `getMarker()` Returns the marker associated with this event.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkerChangeEvent

          public MarkerChangeEvent(Marker marker)

      Creates a new event.
      Parameters:
        `marker` - the marker (`null` not permitted).

    - #### MarkerChangeEvent

          public MarkerChangeEvent(java.lang.Object source,
                                   Marker marker)

      Creates a new event.
      Parameters:
        `source` - the event source.
        `marker` - the marker (`null` not permitted).

  - ### Method Detail

    - #### getMarker

          public Marker getMarker()

      Returns the marker associated with this event.
      Returns:
        The marker (never `null`).